Bug 38330 - Kernel OOM-rambo slaughters anaconda when installing packages
Summary: Kernel OOM-rambo slaughters anaconda when installing packages
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-29 19:09 UTC by Ville Herva
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 19:54:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Herva 2001-04-29 19:09:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.18pre19 i686)


When installing Redhat-7.1 from cdrom onto a Compaq SP1850 server (600PII,
256MB RAM, 2x36GB 10krpm SCSI, ide-cd), the installation crashes during
installation of packages (at ~20% installed). The kernel log at the other
console says the usual "Out of memory: Killing process 10 anaconda". I
chose no special packages - just a pretty small server install. 

Ob-rant: While I appreciate Rik van Riel's efforts, someone should really
verify how the OOM-rambo works. I never had any problems with OOM until the
OOM-rambo was introduced. Then I've seen my X sessions getting killed for
no apparent reason in both 2.2 and 2.4. Sorta like "I have this neat
solution; let's invent a problem for it"...

Anyway, I'll check if this is reproducible tomorrow. I'll also check thath
the kernel detects all the memory.

Side note: just for the kicks (or to verify the server hw and kernel
stability) I did 
foreach i in 1 2 3 4 5 6 7
cat /dev/sda > /dev/null & cat /dev/sdb > /dev/null & cat /dev/hda >
/dev/null &
end

(hda is the ide-cd), and it killed the kernel in few minutes. 




Reproducible: Didn't try

Comment 1 Ville Herva 2001-04-30 05:37:51 UTC
More info: the kernel appears to detect all the 256MB of memory, and (at least
when booting to rescue mode) there's a healthy 230MB of it free in the beginning.

The system is more exactly a Proliant 1850R, 600PIII Xeon 512kB cache, 440BX, if
that happens to interest anyone.

Comment 2 Ville Herva 2001-04-30 07:35:22 UTC
I wasn't able to reproduce, but I can't remember exactly what packages I
selected the first time.

Comment 3 Brent Fox 2001-04-30 15:13:44 UTC
Is this with GUI or text install?

Comment 4 Brent Fox 2001-05-10 19:54:09 UTC
Closing due to inactivity. Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.